> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Group

> Deletes a group and all roles, invitations, join requests, and blocks associated with it.



## OpenAPI

````yaml /services/playfab/api-references/rest/groups/groups.openapi.json post /Group/DeleteGroup
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Groups API
  description: >-
    The Groups API is designed for any permanent or semi-permanent collections
    of Entities (players, or non-players). If you want to make
    Guilds/Clans/Corporations/etc., then you should use groups. Groups can also
    be used to make chatrooms, parties, or any other persistent collection of
    entities.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Groups
    description: Groups Management APIs
paths:
  /Group/DeleteGroup:
    post:
      tags:
        - Groups
      summary: Delete Group
      description: >-
        Deletes a group and all roles, invitations, join requests, and blocks
        associated with it.
      operationId: DeleteGroup
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteGroupRequest'
        description: >-
          Deletes a group and all roles, invitations, join requests, and blocks
          associated with it. Permission to delete is only required the group
          itself to execute this action. The group and data cannot be cannot be
          recovered once removed, but any abuse reports about the group will
          remain. No data is returned in the case of success.
      responses:
        '200':
          $ref: '#/components/responses/EmptyResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    DeleteGroupRequest:
      description: >-
        Deletes a group and all roles, invitations, join requests, and blocks
        associated with it. Permission to delete is only required the group
        itself to execute this action. The group and data cannot be cannot be
        recovered once removed, but any abuse reports about the group will
        remain. No data is returned in the case of success.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Group:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: ID of the group or role to remove
      required:
        - Group
      example:
        Group:
          Id: ABC1234ABC
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    EmptyResponse:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    EmptyResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/EmptyResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Delete Group](/services/playfab/api-references/rest/groups/groups/delete-group.md)
- [PFGroupsDeleteGroupRequest](/services/playfab/api-references/c/pfgroupstypes/structs/pfgroupsdeletegrouprequest.md)
- [PFGroupsDeleteGroupAsync](/services/playfab/api-references/c/pfgroups/functions/pfgroupsdeletegroupasync.md)
- [Entity Groups](/services/playfab/community/associations/groups/quickstart.md)
- [PFGroupsUpdateGroupAsync](/services/playfab/api-references/c/pfgroups/functions/pfgroupsupdategroupasync.md)
